<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

session_start(); 
if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(FALSE)==FALSE) header("Location: ../index.php");
if (CheckNivLog("5-9")==FALSE) header("Location: ../index.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_geol.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_ope.inc.php");
include_once("../inc/geoip.inc.php");
Archivelog(@$_SESSION["code_log"]);

$td = strip_tags(trim($_GET['td']));
$coderech = strip_tags(trim($_GET['code']));
$ope_dep = strip_tags(trim($_GET['dep']));
$ope_codepays = strip_tags(trim($_GET['pays']));

$pbm_ope=FALSE;

$msg1_err_type=$ajx_nodeppays;

if ($coderech <> "")
{
	$row = lit_enr_ope($coderech);
	if (is_array($row))
	{	
		extract ($row);
	
		if ($ope_out==TRUE)
			($td="view");
	
		$ope_datecreaf = formatedate($ope_datecrea);
		$ope_congd = formatedate($ope_congd);
		$ope_congf = formatedate($ope_congf);
	
	}
	else
		$pbm_ope=TRUE;
}
else
{
	if ($td == "add")
	{
		$ope_code = crecodesession("O");
		$ope_codepays=pays_connect_code($_SERVER['REMOTE_ADDR']);
	}
	else
		$pbm_ope=TRUE;
}

switch ($td)
{
	case "add" :
		$titre = $titlein_ope_maj_add;
		break;	
	case "edit" :
		$titre = $titlein_ope_maj_edit;
		break;
	case "del" :
		$titre = $titlein_ope_maj_del;
		break;
	case "view" :
		$titre = $titlein_ope_maj_view;
		break;
	default :
		$pbm_ope=TRUE;
		break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche Op&eacute;rateur</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Définition Javascript pour calendrier popup -->

  <!-- Feuille de Style -->
  <link rel="stylesheet" type="text/css" media="all" href="../jscript/jscal/skins/aqua/theme.css" title="Aqua" />

  <!-- Script Javascript Principal -->
  <script type="text/javascript" src="../jscript/jscal/calendar.js"></script>

  <!-- Choix du langage -->
  <script type="text/javascript" src="../jscript/jscal/lang/calendar-<?PHP echo $_SESSION["lng"]; ?>.js"></script>

  <!-- the following script defines the Calendar.setup helper function, which makes
       adding a calendar a matter of 1 or 2 lines of code. -->
  <script type="text/javascript" src="../jscript/jscal/calendar-setup.js"></script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<script language="javascript">
<!--
var tab1_champ=new Array(
	"nom:civil ; format:liste ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_civil); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
	"nom:prenom ; format:txt ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_pnom); ?> ; lmx:50 ; stok:frmok ; stbad:frmbad",
	"nom:nom ; format:txt ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_nom); ?> ; lmx :50 ; stok:frmok ; stbad:frmbad",
	"nom:adr1 ; format:txt ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_adr1); ?> ; lmx:50 ; stok:frmok ; stbad:frmbad",
	"nom:adr2 ; format:txt ; req:N ; txt:<?PHP echo html_entity_decode($txt_chp_adr2); ?> ; lmx:50 ; stok:frmok ; stbad:frmbad",
	"nom:ville ; format:liste ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_ville); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
	"nom:dep ; format:liste ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_dep); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
	"nom:pays ; format:liste ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_pays); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad",
	"nom:telf ; format:tel ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_telf); ?> ; stok:frmok ; stbad:frmbad",
	"nom:telp ; format:telp ; req:N ; txt:<?PHP echo html_entity_decode($txt_chp_telp); ?> ; stok:frmok ; stbad:frmbad",
	"nom:email ; format:mail ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_email); ?> ; stok:frmok ; stbad:frmbad",
	"nom:nota ; format:txt ; req:N ; txt:<?PHP echo html_entity_decode($txt_chp_notes); ?> ; stok:frmok ; stbad:frmbad");
//-->
</script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/verif_form.js"></script>

<!-- Scripts Javascript pour alertes -->
<script language="JavaScript" src="../jscript/alertes.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

<!-- Scripts Ajax -->
<script type="text/javascript" src="../ajax/util.js"></script>
<script type="text/javascript" src="../ajax/SelectUpdater.js"></script>

<?PHP if ($pbm_ope==FALSE) { ?>
<script type="text/javascript">        
function updateVille()
{
	villeUpdater = new SelectUpdater("ville", "<?PHP echo $rep_appli.'/ajax/'; ?>recupville.php?dep=", "attn2", "msg2", "<?PHP echo $msg2_err_type; ?>");
	anciendep = "";
	document.getElementById("dep").onchange = function() {
		var listedep = document.getElementById("dep");
		var dep = listedep.options[listedep.selectedIndex].value;
		var listepays = document.getElementById("pays");
		var codepays = listepays.options[listepays.selectedIndex].value;
		if (dep.length > 0)
		{
			if (dep != anciendep)
			{
				// Faire l'appel Ajax
				var prmget=dep+"_"+codepays;
				villeUpdater.run(prmget);
				anciendep = dep;
			}
		}
		else
		{
			// Remettre la liste a vide et annuler l'appel eventuel
			villeUpdater.reset();
			anciendep = "";
		}
	}
}

function updateDep()
{
	depUpdater = new SelectUpdater("dep", "<?PHP echo $rep_appli.'/ajax/'; ?>recupdep.php?pays=", "attn1", "msg1", "<?PHP echo $msg1_err_type; ?>");
	anciencodepays = "";
	anciendep = "";
	document.getElementById("pays").onchange = function() {
		var listepays = document.getElementById("pays");
		var codepays = listepays.options[listepays.selectedIndex].value;
		if (codepays.length > 0)
		{
			if (codepays != anciencodepays)
			{
				// Faire l'appel Ajax
				depUpdater.run(codepays);
				var txthtml = "<option><?PHP echo $sel_lst_makechx; ?></option>\n";
				document.getElementById("ville").innerHTML=txthtml;
				document.getElementById("attn2").innerHTML = "";
				document.getElementById("msg2").innerHTML = "";
				anciencodepays = codepays;
			}
		}
		else
		{
			// Remettre la liste a vide et annuler l'appel eventuel
			depUpdater.reset();
			var txthtml = "<option><?PHP echo $sel_lst_makechx; ?></option>\n";
			document.getElementById("ville").innerHTML=txthtml;
			document.getElementById("attn2").innerHTML = "";
			document.getElementById("msg2").innerHTML = "";
			anciencodepays = "";
		}
	}
}
</script>
<?PHP } ?>

</head>

<?PHP if ($td == "del"){ ?>
<body onLoad="warndelope();metReadonly();">
<?PHP } ?>
<?PHP if ($td == "view"){ ?>
<body onLoad="metReadonly();">
<?PHP } ?>
<?PHP if (($td == "add") OR ($td == "edit")) { ?>
<body onLoad="metFocus();updateDep();updateVille();">
<?PHP }
include_once("../inc/entete.inc.php");

if ($pbm_ope==FALSE)
{
?>
<p align="center"> <span class="titrepage"><?PHP echo $titre ?></span></p>
<?PHP
if (nb_civ() <> 0)
{
?>
<!-- Affiché uniquement s'il y a au moins une civilité -->
	<table width="100%"  border="0">
	  <tr>
		<td width="33%"><strong><em><a href="ope_lst.php"><?PHP echo $txt_lnk_ret_liste; ?></a></em></strong></td>
		<td width="33%"align="center" class="annot_petit_it">(<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"> : <?PHP echo $txt_div_saisoblg; ?>)</td>
		<td width="33%" align="right">
		  </div>
		</td>
	  </tr>
	</table>
	<form name="ope_maj" method="post" action="ope_enr.php" onSubmit="javascript:; return (verif_ope(this,tab1_champ,document.ope_maj.pays.value,''));">
	  <input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
	  <input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
	  <?PHP if ($td == "add") { ?>
		<input name="code" type="hidden" id="code" value="<?PHP echo $ope_code ?>">
		<input name="salarie" type="hidden" id="salarie" value="Oui">
	  <?PHP } ?>
	  <table width="100%"  border="0">
		<?PHP if ($td <> "add") {?>
		<tr>
		  <td width="160" class="rubfrm" id="f_codetec" align="right"><?PHP echo $txt_chp_code; ?></td>
		  <td><input name="code" type="text" id="code" value="<?PHP echo $ope_code ?>" readonly="1"></td>
		</tr>
		<tr>
			<td width="160" class="rubfrm" id="f_dateoutf" align="right"><?PHP echo $txt_chp_embdep; ?></td>
			<td>
			<?PHP 
			if (($td == "edit") OR ($td == "del") OR ($td=="view"))
			{ 
				echo '<input name="dateoutf" type="text" id="dateoutf"';
				echo ' value="'.$tec_dateoutf.'" size="10"';
				echo 'readonly="1"';
				echo '>';
				if ($tec_out == FALSE)
					echo '<img src="../img/calendar.png" align="absmiddle" id="f_img_dateoutf" title="'.$alt_chxdate.'">';
				echo ' <a href="javascript:;" onclick="document.ope_maj.dateoutf.value=\'\'"><img src="../img/raz.png" border="0" align="absmiddle"></a>';
				echo '<span class="annot_std_it">';
				echo "  (".$txt_div_emble." : ".$ope_datecreaf.")";
				echo "</span>";
				if ($tec_out == FALSE)
				{
					echo '<br>';
					echo '<span class="annot_petit_it">'.$txt_div_dateopedetail.'</span>';
				}
			}
			?>			
			</td>
		</tr>
		<tr>
		  <td width="160" class="rubfrm" id="f_conges" align="right"><?PHP echo $txt_chp_conges; ?></td>
		  <td colspan="3">
			<span class="annot_petit_gras">du</span>
			<input name="dconges" type="text" id="dconges" value="<?PHP echo $ope_congd; ?>" size="10" maxlength="10" readonly="1">
			<?PHP
			if ($ope_out == FALSE)
			{
			?>
			<img src="../img/calendar.png" align="absmiddle" id="f_img_dconges" title="<?PHP echo $alt_chxdate; ?>">
			<?PHP
			}
			?>
			<span class="annot_petit_gras"> au </span>
			<input name="fconges" type="text" id="fconges" value="<?PHP echo $ope_congf; ?>" size="10" maxlength="10" readonly="1">
			<?PHP
			if ($ope_out == FALSE)
			{
				if (($td<>"view") AND ($td<>"del"))
				{
			?>
		  <img src="../img/calendar.png" align="absmiddle" id="f_img_fconges" title="<?PHP echo $alt_chxdate; ?>"> 
			<?PHP } ?>
		   <a href="javascript:;" onClick="document.ope_maj.dconges.value='';document.ope_maj.fconges.value='';"><img src="../img/raz.png" border="0" align="absmiddle"> <?PHP echo $but_cancel; ?></a>
		  <div class="annot_petit_it"><?PHP echo $txt_div_congnext; ?></div> 
			<?PHP
			}
			?>
		  </td>
		</tr>
		<?PHP } ?>
		<tr>
		  <td width="160" class="rubfrm" id="f_civil" align="right"><?PHP echo $txt_chp_civil; ?></td>
		  <td width="83%">
			<select name="civil" size="1" id="civil">
			<?PHP
			
			echo "<option>".$sel_lst_civil."</option>";
	
			// Création de la liste des civilités
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rs = mysql_query("SELECT * FROM ".TBCIV." ORDER BY civ_desc");
			while ($resultat = mysql_fetch_array($rs)) 
			{
				extract($resultat);
				if ($ope_civilite == $civ_code)
				{
					echo '<option value="'.$civ_code.'" selected>'.$civ_desc.'</option>';
				}
				else
				{
					echo '<option value="'.$civ_code.'">'.$civ_desc.'</option>';
				}
			}
			mysql_free_result($rs);
			mysql_close($conn);
			?>
			</select>
			  <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"></td>
		</tr>
		<tr>
		  <td width="160" class="rubfrm" id="f_prenom" align="right"><?PHP echo $txt_chp_pnom; ?></td>
		  <td><input name="prenom" type="text" id="prenom" value="<?PHP echo htmlspecialchars($ope_prenom) ?>" size="50" onChange="javascript:this.value=ucWords(this.value,true);">
			  <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"></td>
		</tr>
		<tr>
		  <td width="160" class="rubfrm" id="f_nom" align="right"><?PHP echo $txt_chp_nom; ?></td>
		  <td><input name="nom" type="text" id="nom" value="<?PHP echo htmlspecialchars($ope_nom) ?>" size="50" onChange="javascript:this.value=this.value.toUpperCase();">
			  <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"></td>
		</tr>
		<tr>
		  <td width="160" class="rubfrm" id="f_adr1" align="right"><?PHP echo $txt_chp_adr1; ?></td>
		  <td><input name="adr1" type="text" id="adr1" value="<?PHP echo htmlspecialchars($ope_adr1) ?>" size="50" onChange="javascript:this.value=this.value.toUpperCase();">
			  <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"></td>
		</tr>
		<tr>
		  <td width="160" class="rubfrm" id="f_adr2" align="right"><?PHP echo $txt_chp_adr2; ?></td>
		  <td><input name="adr2" type="text" id="adr2" value="<?PHP echo htmlspecialchars($ope_adr2) ?>" size="50" onChange="javascript:this.value=this.value.toUpperCase();"></td>
		</tr>
	<tr>
		<td class="rubfrm" id="f_pays" align="right"><?PHP echo $txt_chp_pays; ?></td>
		<td>
		<?PHP
		if ($ope_out == FALSE) 
		{
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rs = mysql_query("SELECT * FROM ".TBPAYS." ORDER BY pays_nom");
		?>			
			<select name="pays" id="pays">
		<?PHP
			
			echo "<option value=\"\">".$sel_lst_pays."</option>";
	
			// Création de la liste des pays
			
			while ($resultat = mysql_fetch_array($rs)) 
			{
				extract($resultat);
				if ($ope_codepays == $pays_code)
					echo '<option value="'.$pays_code.'" selected>'.$pays_nom.'</option>';
				else
					echo '<option value="'.$pays_code.'">'.$pays_nom.'</option>';
			}
		?>
			</select>
			<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
		<?PHP
			mysql_free_result($rs);
			mysql_close($conn);
		}
		else
		{
			$pays = Retournepays_open($ope_codepays,TRUE);
		?>
			<input name="pays" type="hidden" id="pays" value="<?PHP echo $ope_codepays ?>">
			<input name="pays_nom" type="text" id="pays_nom" value="<?PHP echo $pays ?>" size="50"  readonly="1">
		<?PHP
		}
		?>
		</td>
	</tr>
	<tr>
		<td class="rubfrm" id="f_dep" align="right"><?PHP echo $txt_chp_dep; ?></td>
		<td>
		<?PHP
		if ($ope_out == FALSE) 
		{
			// Création de la liste des départements
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech="SELECT * FROM ".TBDEP." WHERE `dep_codepays`='".$ope_codepays."' ORDER BY dep_code";
			$rs = mysql_query($rech) or die(mysql_error());
		?>
		<select name="dep" size="1" id="dep">
		<?PHP
		echo "<option>".$sel_lst_makechx."</option>";

		if (mysql_num_rows($rs)>0)
		{
			while ($resultat = mysql_fetch_array($rs)) 
			{
				extract($resultat);
				if ($dep_code<>$dep_nom)
					$dep=$dep_code." (".$dep_nom.")";
				else
					$dep=$dep_nom;
				if ($ope_dep == $dep_code)
					echo "<option value=\"".$dep_code."\" selected>".$dep."</option>";
				else
					echo "<option value=\"".$dep_code."\">".$dep."</option>";
			}
		}
		else
			echo "<option value=\"-1\" selected>".$sel_lst_unknown."</option>";
		?>
		</select>
		 <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
		 <span id="attn1"></span><span id="msg1" style="background-color:#FF0000; color:#FFFF00; font-weight:bold"><?PHP if ((mysql_num_rows($rs)==0) AND ($td<>"del")) echo htmlspecialchars($msg1_err_type)?></span>
		<?PHP
			mysql_free_result($rs);
			mysql_close($conn);
		}
		else
		{
			$dep=$ope_dep." (".Retournedep_open($ope_dep,$ope_codepays,TRUE).")";
		?>
			<input name="dep" type="hidden" id="dep" value="<?PHP echo $ope_dep ?>">
			<input name="dep_nom" type="text" id="dep_nom" value="<?PHP echo $dep ?>" size="40"  readonly="1">
		<?PHP
		}
		?>
		</td>
	</tr>
	<tr>
		<td class="rubfrm" id="f_ville" align="right"><?PHP echo $txt_chp_ville; ?></td>
		<td>
		<?PHP
		if ($ope_out == FALSE) 
		{
			// Création de la liste des villes
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
	
			$rech="";
			if ($ope_dep<>"")
			{
				if ($ope_dep<>"-1")
				{
					$filtre=$ope_dep;
					if (($filtre == "2A") OR ($filtre == "2B"))
						$filtre = "20";
					$rech = "SELECT * FROM ".TBVILLES." WHERE `villes_dep` = '".str_majuscules($filtre)."' AND `villes_codepays`='".str_majuscules($ope_codepays)."' ORDER BY villes_nom";
				}
				else
				{
					$rech = "SELECT * FROM ".TBVILLES." WHERE `villes_codepays`='".str_majuscules($ope_codepays)."' ORDER BY villes_nom";
				}
			}
			if ($rech<>"")
				$rs = mysql_query($rech) or die(mysql_error());
		?>
		<select name="ville" size="1" id="ville">
		<?PHP
		echo "<option>".$sel_lst_makechx."</option>";

		if ($rech<>"")
		{
			if (mysql_num_rows($rs)>0)
			{
				while ($resultat = mysql_fetch_array($rs)) 
				{
					extract($resultat);
					if ($ope_ville == $villes_id)
					{
						echo '<option value="'.$villes_id.'" selected>'.str_majuscules($villes_nom).' ('.$villes_cp.')</option>';
					}
					else
					{
						echo '<option value="'.$villes_id.'">'.str_majuscules($villes_nom).' ('.$villes_cp.')</option>';
					}
				}
			}
		}
		?>
		</select>
	     <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
		 <span id="attn2"></span><span id="msg2" style="background-color:#FF0000; color:#FFFF00; font-weight:bold"><?PHP if ($rech<>"") {if ((mysql_num_rows($rs)==0) AND ($td<>"del")) echo htmlspecialchars($msg2_err_type);}?></span>
		<?PHP
			mysql_close($conn);
		}
		else
		{
			$ville = Retourneville_openId($ope_ville,TRUE);
		?>
			<input name="ville" type="hidden" id="ville" value="<?PHP echo $ope_ville ?>">
			<input name="ville_nom" type="text" id="ville_nom" value="<?PHP echo $ville ?>" size="40"  readonly="1">
		<?PHP
		}
		?>
		</td>
	</tr>
		<tr>
		  <td width="160" class="rubfrm" id="f_telf" align="right"><?PHP echo $txt_chp_telf; ?></td>
		  <td colspan="3"><input name="telf" type="text" id="telf" value="<?PHP echo $ope_telf ?>" size="20" maxlength="20" >
			  <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"></td>
		</tr>
		<tr>
		  <td width="160" class="rubfrm" id="f_telp" align="right"><?PHP echo $txt_chp_telp; ?></td>
		  <td><input name="telp" type="text" id="telp" value="<?PHP echo $ope_telp ?>" size="20" maxlength="20"></td>
		</tr>
		<tr>
		  <td width="160" class="rubfrm" id="f_email" align="right"><?PHP echo $txt_chp_email; ?></td>
		  <td>
			<input name="email" type="text" id="email" value="<?PHP echo $ope_email ?>" size="50" maxlength="50" onChange="javascript:this.value=this.value.toLowerCase();">
			<?PHP if ($td == "edit") {
				if ($ope_email <> "")
				{ ?>
				<a href="mailto:<?PHP echo $ope_email ?>"><img src="../img/mail.png" title="<?PHP echo $alt_envemail; ?>" border="0" align="absmiddle"></a>
			<?PHP } } ?>
			<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
		</td>
		</tr>
		<tr>
		  <td width="160" class="rubfrm" id="f_nota" align="right"><?PHP echo $txt_chp_notes; ?></td>
		  <td><textarea name="nota" id="nota"><?PHP echo htmlspecialchars($ope_nota) ?></textarea></td>
		</tr>
	  </table>
	  <p align="center">
		<?PHP if (($td == "edit") or ($td == "add")) 
		{
			if ($ope_out == TRUE)
			{
		?>
			<input name="annul" type="button" class="bton_std" id="annul" value="<?PHP echo $but_retlst; ?>" onclick="self.location.href=('ope_lst.php');">
		<?PHP
			}
			else
			{
		?>
		<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="<?PHP echo $but_reinit; ?>">
		<input name="val" type="submit" class="bton_std" id="val" value="<?PHP echo $but_enr; ?>">
		<?PHP } 
		}
		?>
		<?PHP if ($td == "del") { ?>
		<input name="del" type="submit" class="bton_std" id="del" value="<?PHP echo $but_del; ?>">
		<?PHP } ?>
	  </p>
	</form>

	<?PHP if ($td <> "add") {?>
			<script type="text/javascript">
			<!--
				Calendar.setup({
					inputField     :    "dateoutf",     // id of the input field
					ifFormat       :    "<?PHP echo $datefmtc; ?>",      // format of the input field
					button         :    "f_img_dateoutf",  // trigger for the calendar (button ID)
					align          :    "Ll",           // alignment (defaults to "Bl")
					electric	   :	false,
					singleClick    :    true
				});
				Calendar.setup({
					inputField     :    "dconges",     // id of the input field
					ifFormat       :    "<?PHP echo $datefmtc; ?>",      // format of the input field
					button         :    "f_img_dconges",  // trigger for the calendar (button ID)
					align          :    "Ll",           // alignment (defaults to "Bl")
					electric	   :	false,
					singleClick    :    true
				});
				Calendar.setup({
					inputField     :    "fconges",     // id of the input field
					ifFormat       :    "<?PHP echo $datefmtc; ?>",      // format of the input field
					button         :    "f_img_fconges",  // trigger for the calendar (button ID)
					align          :    "Ll",           // alignment (defaults to "Bl")
					electric	   :	false,
					singleClick    :    true
				});
			//-->
			</script>
	<?PHP } ?>
<!-- Fin affiché uniquement s'il y a au moins une une civilité -->
<?PHP
}
else
{
	echo '<p align="center" class="annot_std_it">'.$alert_nociv.'</p>';
	aff_ret_auto("civ_lst.php",2000);
}
}
else
	aff_ret_pbm_auto("ope_lst.php",2000);
include_once("pied.php");
?>